%define name ipw2200-firmware
%define version 3.1
%define release %mkrel 2

Summary: Firmware for the IPW2200
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ipw2100.sourceforge.net/%{name}-%{version}.tar.xz
License: Proprietary
Group: System/Kernel and hardware
Url: http://ipw2200.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware files for the IPW2200 chip

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware/
install -m 0644 ipw2200-bss.fw $RPM_BUILD_ROOT/lib/firmware/ipw2200-bss.fw
install -m 0644 ipw2200-ibss.fw $RPM_BUILD_ROOT/lib/firmware/ipw2200-ibss.fw
install -m 0644 ipw2200-sniffer.fw $RPM_BUILD_ROOT/lib/firmware/ipw2200-sniffer.fw


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/firmware/ipw2200-bss.fw
/lib/firmware/ipw2200-ibss.fw
/lib/firmware/ipw2200-sniffer.fw

%changelog
* Fri Jul 07 2017 bb2 <bb2> - 3.1-2pclos2017
- rebuilt
